# three-mesh-ui

three-mesh-ui helps in easily adding user interface in a Three.js scene, in order to make better VR experiences

<a href="https://github.com/felixmariotto/three-mesh-ui/wiki/Getting-started">
  <img alt="tuto example" target="_blank" src="https://felixmariotto.s3.eu-west-3.amazonaws.com/three-mesh-ui-teasers/teaser_basic_optimised.gif" width="48%">
</a>
<a href="https://three-mesh-ui.herokuapp.com/#interactive_button">
  <img alt="buttons example" target="_blank" src="https://felixmariotto.s3.eu-west-3.amazonaws.com/three-mesh-ui-teasers/teaser_button_optimised.gif" width="48%">
</a>

## What is it for ?

**three-mesh-ui** is a small library for building VR user interfaces. The objects it creates are [Three.Mesh](https://github.com/mrdoob/three.js/blob/dev/src/objects/Mesh.js), usable directly in a [three.js](https://threejs.org) scene like any other mesh.

## Why ?

In a normal three.js workflow, most people build the user interfaces with HTML/CSS, either the normal way on top of the Canvas element in which the scene is drawn, or with Three.CSS3DRenderer, which visually transforms normal DOM elements so they look like they are in a 3D scene.   

In immersive VR, none of these two options is available. The goal of **three-mesh-ui** is to offer a tool similar to HTML/CSS to build genuine meshes that can be used the normal way inside a three.js scene rendered with WebGLRenderer.

### [Examples](https://three-mesh-ui.herokuapp.com/) &nbsp;|	&nbsp;[Getting Started](https://github.com/felixmariotto/three-mesh-ui/wiki/Getting-started)	&nbsp;|	&nbsp;[NPM](https://www.npmjs.com/package/three-mesh-ui)	&nbsp;|	&nbsp;[API](https://github.com/felixmariotto/three-mesh-ui/wiki/API-documentation)	&nbsp;|	&nbsp;[Roadmap](https://github.com/felixmariotto/three-mesh-ui/wiki/Roadmap)	&nbsp;|	&nbsp;[Contributing](https://github.com/felixmariotto/three-mesh-ui/wiki/Contributing)
